# Poco::Data

# class Time

Library: Data
Package: DataCore
Header: Poco/Data/Time.h

## Description

Time class wraps a DateTime and exposes time related interface. The purpose of this class is binding/extraction support for time fields.

## Member Summary

Member Functions: assign, hour, minute, operator !=, operator <, operator =, operator ==, operator >, second

## Constructors

### Time

Time();

Creates the Time

### Time

Time(
const DateTime & dt
);

Creates the Time from DateTime

### Time

Time(
int hour,
int minute,
int second
);

Creates the Time

## Destructor

### ~Time

~Time();

Destroys the Time.

## Member Functions

### assign

void assign(
int hour,
int minute,
int second
);

Assigns time.

### hour

int hour() const;

Returns the hour.

### minute

int minute() const;

Returns the minute.

### operator !=

bool operator != (
const Time & time
) const;

Inequality operator.

### operator <

bool operator < (
const Time & time
) const;

Less then operator.

### operator =

Time & operator = (
const Time & t
);

Assignment operator for Time.

### operator =

Time & operator = (
const DateTime & dt
);

Assignment operator for DateTime.

### operator =

Time & operator = (
const Poco::Dynamic::Var & var
);

Assignment operator for Var.

### operator ==

bool operator == (
const Time & time
) const;

Equality operator.

### operator >

bool operator > (
const Time & time
) const;

Greater then operator.

### second

int second() const;

Returns the second.